List all webhook events for a subscription
curl --request GET \
--url https://app.ezyshield.com.au/api/webhook-subscriptions/{webhook_subscription}/webhook-events \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.ezyshield.com.au/api/webhook-subscriptions/{webhook_subscription}/webhook-events"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.ezyshield.com.au/api/webhook-subscriptions/{webhook_subscription}/webhook-events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.ezyshield.com.au/api/webhook-subscriptions/{webhook_subscription}/webhook-events",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.ezyshield.com.au/api/webhook-subscriptions/{webhook_subscription}/webhook-events"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.ezyshield.com.au/api/webhook-subscriptions/{webhook_subscription}/webhook-events")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.ezyshield.com.au/api/webhook-subscriptions/{webhook_subscription}/webhook-events")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "webhook-events",
"attributes": {
"status": "<string>",
"type": "<string>",
"webhook_url": "<string>",
"payload": "<string>",
"created_at": "<string>",
"attempts_count": 123,
"last_attempted_at": "2023-11-07T05:31:56Z",
"last_response_status_code": 123
},
"relationships": {
"attempts": {
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "webhook-event-attempts"
}
]
}
}
}
],
"links": {
"first": "<string>",
"last": "<string>",
"prev": "<string>",
"next": "<string>"
},
"meta": {
"current_page": 2,
"from": 2,
"last_page": 2,
"links": [
{
"url": "<string>",
"label": "<string>",
"active": true
}
],
"path": "<string>",
"per_page": 1,
"to": 2,
"total": 1
},
"included": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "webhook-event-attempts",
"attributes": {
"status": "<string>",
"attempt": "<string>",
"created_at": "<string>",
"response_status_code": "<string>"
}
}
]
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>",
"errors": {}
}Webhook Events
List all webhook events for a subscription
Requires the webhook_event:read ability.
GET
/
webhook-subscriptions
/
{webhook_subscription}
/
webhook-events
List all webhook events for a subscription
curl --request GET \
--url https://app.ezyshield.com.au/api/webhook-subscriptions/{webhook_subscription}/webhook-events \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.ezyshield.com.au/api/webhook-subscriptions/{webhook_subscription}/webhook-events"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.ezyshield.com.au/api/webhook-subscriptions/{webhook_subscription}/webhook-events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.ezyshield.com.au/api/webhook-subscriptions/{webhook_subscription}/webhook-events",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.ezyshield.com.au/api/webhook-subscriptions/{webhook_subscription}/webhook-events"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.ezyshield.com.au/api/webhook-subscriptions/{webhook_subscription}/webhook-events")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.ezyshield.com.au/api/webhook-subscriptions/{webhook_subscription}/webhook-events")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "webhook-events",
"attributes": {
"status": "<string>",
"type": "<string>",
"webhook_url": "<string>",
"payload": "<string>",
"created_at": "<string>",
"attempts_count": 123,
"last_attempted_at": "2023-11-07T05:31:56Z",
"last_response_status_code": 123
},
"relationships": {
"attempts": {
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "webhook-event-attempts"
}
]
}
}
}
],
"links": {
"first": "<string>",
"last": "<string>",
"prev": "<string>",
"next": "<string>"
},
"meta": {
"current_page": 2,
"from": 2,
"last_page": 2,
"links": [
{
"url": "<string>",
"label": "<string>",
"active": true
}
],
"path": "<string>",
"per_page": 1,
"to": 2,
"total": 1
},
"included": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "webhook-event-attempts",
"attributes": {
"status": "<string>",
"attempt": "<string>",
"created_at": "<string>",
"response_status_code": "<string>"
}
}
]
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>",
"errors": {}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The webhook subscription ID. Example: wh_sub_01jz8v2q4x...
Query Parameters
The number of results that will be returned per page.
The page number to start the pagination from.
Available options:
status, type, webhook_url, payload, created_at, attempts_count, last_attempted_at, last_response_status_code Available options:
status, attempt, created_at, response_status_code Filter by event type.
Available options:
verification.pending, verification.successful, verification.failed, verification.cancelled, verification.expired, verification.error, verification.authentication_ready, verification.authentication_link_sent, invoice.reading, invoice.processed, invoice.failed, invoice.invalid, webhook.test Example:
"verification.successful"
Filter by delivery status.
Available options:
processing, succeeded, failed Example:
"succeeded"
Filter events created on or after this datetime.
Example:
"2026-04-01T00:00:00Z"
Filter events created on or before this datetime.
Example:
"2026-04-30T23:59:59Z"
Available options:
created_at, -created_at, status, -status, type, -type Available options:
attempts, attemptsCount, attemptsExists